import 'models.dart';

class Propinas extends Basico {
  int? idPedido;
  double? cantidad;
  String? comentario;
  String? sincronizado;
  int? idWeb;

  Propinas({
    super.id,
    this.idPedido,
    this.cantidad,
    this.comentario,
    this.sincronizado,
    this.idWeb,
    super.eliminado,
    super.creado,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idPedido': idPedido,
      'cantidad': cantidad,
      'comentario': comentario,
      'sincronizado': sincronizado,
      'creado': creado?.toIso8601String(),
      'eliminado': eliminado?.toIso8601String(),
      'idWeb': idWeb,
    }..addAll(super.toJson());
  }

  Map<String, dynamic> toApi() {
    return {
      'idPedido': idPedido,
      'cantidad': cantidad,
      'comentario': comentario,
      'sincronizado': sincronizado,
      'creado': creado?.toIso8601String(),
      'eliminado': eliminado?.toIso8601String(),
    };
  }

  Propinas.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idPedido = Basico.parseInt(json['idPedido']);
    cantidad = Basico.parseDouble(json['cantidad']);
    comentario = Basico.parseString(json['comentario']);
    idWeb = Basico.parseInt(json['idWeb']);
    sincronizado = Basico.parseString(json['sincronizado']);
  }
}
